$ErrorActionPreference = "Stop"

###############
# THIS FILE IS MEANT TO HELP TEST POWERSHELL CI SCRIPTS LOCALLY BEFORE PUSHING THEM ON TO CI
###############
## DO NOT TOUCH
$GITLAB_ECLIPSE_URL="https://gitlab.eclipse.org"
$API_URL="$GITLAB_ECLIPSE_URL/api/v4"

## SET CI ENVIRONMENT VARIABLES HERE
$CI_PROJECT_NAMESPACE_ID="6437"
$CI_DEFAULT_BRANCH="dev"
$CI_PROJECT_NAMESPACE="eclipse/aidge"
$CI_COMMIT_TAG="v1.4.1"
# $CI_MERGE_REQUEST_ID="116"
# $CI_MERGE_REQUEST_TITLE="feat/release_pip"
# $CI_MERGE_REQUEST_TARGET_BRANCH_NAME="dev"
# $CI_COMMIT_REF_NAME="fix"

# SET SCRIPT VARIABLES HERE
$BRANCH_TO_PULL=$CI_DEFAULT_BRANCH
$DEPS_NAMES="aidge_core"
$DEPENDENCY_JOB="build:windows_cpp"
$DEP_NAME="aidge_core"
$CI_PROJECT_ID=5140
$DEP_ID=5139
$DEP_API_URL="$API_URL/projects/$DEP_ID"
$DEPS_SELECTED_JOBS=@()

